#!/bin/bash
lescript=`basename $0 .sh`
flag=$TMP_PATH/bot_$lescript.flag

#
#  TOOLS
#
function debug
{
  if [ -f $FLAG_PATH/debug ]
  then
    echo $1
  fi
}

function sortie
{
  if [ -f $flag ]
  then
    rm -f $flag
  fi
  exit $1
}

function succes
{
  debug "SUCCES"
  sortie 0
}

function echec
{
  debug "ECHEC"
  sortie 1
}

#
# TEST DU FLAG
#
if [ -f $flag ]
then
  debug "$0 is already running !"
  exit 1
fi
touch $flag

#
# Synchronize the Blockchain
#
if [ -f $FLAG_PATH/no_blockchain ]
then
  debug "No Blockchain synchro"
  echec
fi

debug "Update the Blockchain ..."

$APPS_PATH/blockchain/robot.sh 2>&1
STATUS=$?
if [ ! $STATUS -eq 0 ]
then
  echec
fi

#
# SORTIE AVEC SUCCES
#
succes
